cURL
curl --request GET \
--url https://drb.coinbase.com/api/v2/public/get_tradingview_chart_data \
--header 'Content-Type: application/json' \
--data '
{
"id": 833,
"jsonrpc": "2.0",
"method": "public/get_tradingview_chart_data",
"params": {
"end_timestamp": 1554376800000,
"instrument_name": "BTC-5APR19",
"resolution": "30",
"start_timestamp": 1554373800000
}
}
'import requests
url = "https://drb.coinbase.com/api/v2/public/get_tradingview_chart_data"
payload = {
"id": 833,
"jsonrpc": "2.0",
"method": "public/get_tradingview_chart_data",
"params": {
"end_timestamp": 1554376800000,
"instrument_name": "BTC-5APR19",
"resolution": "30",
"start_timestamp": 1554373800000
}
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: 833,
jsonrpc: '2.0',
method: 'public/get_tradingview_chart_data',
params: {
end_timestamp: 1554376800000,
instrument_name: 'BTC-5APR19',
resolution: '30',
start_timestamp: 1554373800000
}
})
};
fetch('https://drb.coinbase.com/api/v2/public/get_tradingview_chart_data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://drb.coinbase.com/api/v2/public/get_tradingview_chart_data",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_POSTFIELDS => json_encode([
'id' => 833,
'jsonrpc' => '2.0',
'method' => 'public/get_tradingview_chart_data',
'params' => [
'end_timestamp' => 1554376800000,
'instrument_name' => 'BTC-5APR19',
'resolution' => '30',
'start_timestamp' => 1554373800000
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://drb.coinbase.com/api/v2/public/get_tradingview_chart_data"
payload := strings.NewReader("{\n \"id\": 833,\n \"jsonrpc\": \"2.0\",\n \"method\": \"public/get_tradingview_chart_data\",\n \"params\": {\n \"end_timestamp\": 1554376800000,\n \"instrument_name\": \"BTC-5APR19\",\n \"resolution\": \"30\",\n \"start_timestamp\": 1554373800000\n }\n}")
req, _ := http.NewRequest("GET", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://drb.coinbase.com/api/v2/public/get_tradingview_chart_data")
.header("Content-Type", "application/json")
.body("{\n \"id\": 833,\n \"jsonrpc\": \"2.0\",\n \"method\": \"public/get_tradingview_chart_data\",\n \"params\": {\n \"end_timestamp\": 1554376800000,\n \"instrument_name\": \"BTC-5APR19\",\n \"resolution\": \"30\",\n \"start_timestamp\": 1554373800000\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://drb.coinbase.com/api/v2/public/get_tradingview_chart_data")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": 833,\n \"jsonrpc\": \"2.0\",\n \"method\": \"public/get_tradingview_chart_data\",\n \"params\": {\n \"end_timestamp\": 1554376800000,\n \"instrument_name\": \"BTC-5APR19\",\n \"resolution\": \"30\",\n \"start_timestamp\": 1554373800000\n }\n}"
response = http.request(request)
puts response.read_body{
"id": 833,
"jsonrpc": "2.0",
"result": {
"close": [
5052.95,
5013.59
],
"cost": [
19000,
23400
],
"high": [
5185.45,
5250.87
],
"low": [
4728.94,
4726.6
],
"open": [
4963.42,
4986.29
],
"status": "ok",
"ticks": [
1554373800000,
1554375600000
],
"volume": [
19.007942601,
20.095877981
]
},
"testnet": false,
"usDiff": 205,
"usIn": 1554381680742493,
"usOut": 1554381680742698
}Market Data
public/get_tradingview_chart_data
Retrieves publicly available market data formatted for generating TradingView-compatible candle charts. The data includes open, high, low, close (OHLC) prices and volume for specified time intervals.
Use the chart_resolution parameter to specify the candle interval (e.g., 1m, 5m, 1h, 1d). This method provides the standard format used by TradingView and other charting platforms.
Note: For spot instruments routed to Coinbase Exchange, this call is not supported. Use Get product candles instead.
GET
/
public
/
get_tradingview_chart_data
cURL
curl --request GET \
--url https://drb.coinbase.com/api/v2/public/get_tradingview_chart_data \
--header 'Content-Type: application/json' \
--data '
{
"id": 833,
"jsonrpc": "2.0",
"method": "public/get_tradingview_chart_data",
"params": {
"end_timestamp": 1554376800000,
"instrument_name": "BTC-5APR19",
"resolution": "30",
"start_timestamp": 1554373800000
}
}
'import requests
url = "https://drb.coinbase.com/api/v2/public/get_tradingview_chart_data"
payload = {
"id": 833,
"jsonrpc": "2.0",
"method": "public/get_tradingview_chart_data",
"params": {
"end_timestamp": 1554376800000,
"instrument_name": "BTC-5APR19",
"resolution": "30",
"start_timestamp": 1554373800000
}
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: 833,
jsonrpc: '2.0',
method: 'public/get_tradingview_chart_data',
params: {
end_timestamp: 1554376800000,
instrument_name: 'BTC-5APR19',
resolution: '30',
start_timestamp: 1554373800000
}
})
};
fetch('https://drb.coinbase.com/api/v2/public/get_tradingview_chart_data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://drb.coinbase.com/api/v2/public/get_tradingview_chart_data",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_POSTFIELDS => json_encode([
'id' => 833,
'jsonrpc' => '2.0',
'method' => 'public/get_tradingview_chart_data',
'params' => [
'end_timestamp' => 1554376800000,
'instrument_name' => 'BTC-5APR19',
'resolution' => '30',
'start_timestamp' => 1554373800000
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://drb.coinbase.com/api/v2/public/get_tradingview_chart_data"
payload := strings.NewReader("{\n \"id\": 833,\n \"jsonrpc\": \"2.0\",\n \"method\": \"public/get_tradingview_chart_data\",\n \"params\": {\n \"end_timestamp\": 1554376800000,\n \"instrument_name\": \"BTC-5APR19\",\n \"resolution\": \"30\",\n \"start_timestamp\": 1554373800000\n }\n}")
req, _ := http.NewRequest("GET", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://drb.coinbase.com/api/v2/public/get_tradingview_chart_data")
.header("Content-Type", "application/json")
.body("{\n \"id\": 833,\n \"jsonrpc\": \"2.0\",\n \"method\": \"public/get_tradingview_chart_data\",\n \"params\": {\n \"end_timestamp\": 1554376800000,\n \"instrument_name\": \"BTC-5APR19\",\n \"resolution\": \"30\",\n \"start_timestamp\": 1554373800000\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://drb.coinbase.com/api/v2/public/get_tradingview_chart_data")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": 833,\n \"jsonrpc\": \"2.0\",\n \"method\": \"public/get_tradingview_chart_data\",\n \"params\": {\n \"end_timestamp\": 1554376800000,\n \"instrument_name\": \"BTC-5APR19\",\n \"resolution\": \"30\",\n \"start_timestamp\": 1554373800000\n }\n}"
response = http.request(request)
puts response.read_body{
"id": 833,
"jsonrpc": "2.0",
"result": {
"close": [
5052.95,
5013.59
],
"cost": [
19000,
23400
],
"high": [
5185.45,
5250.87
],
"low": [
4728.94,
4726.6
],
"open": [
4963.42,
4986.29
],
"status": "ok",
"ticks": [
1554373800000,
1554375600000
],
"volume": [
19.007942601,
20.095877981
]
},
"testnet": false,
"usDiff": 205,
"usIn": 1554381680742493,
"usOut": 1554381680742698
}Query Parameters
Was this page helpful?